import * as $dara from '@darabonba/typescript';
import { MoveResourceGroupResponseBody } from "./MoveResourceGroupResponseBody";
export declare class MoveResourceGroupResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: MoveResourceGroupResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
